package com.wms_main.constant.enums.wms;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Wms拣选任务状态枚举
 */
@Getter
@AllArgsConstructor
public enum WmsPickTaskStatusEnum {
    FOR_IN(-2, "入库用"),
    TEMP(-1, "暂存"),
    WAIT(0, "待下发"),
    SEND(1, "已下发"),
    RUN(2, "正在执行"),
    ARRIVE(3, "已到达"),
    LEAVE(4, "已离开"),
    CANCEL(5, "已取消");
    private final Integer code;
    private final String desc;
}
